- Main Page
- Related Pages
- Modules
- Namespaces
- Classes
- Files
- Directories
- Examples

- File List
- File Members

Classes | Functions

# qrect.h File Reference

`#include <QtCore/qsize.h>`
`#include <QtCore/qpoint.h>`

Go to the source code of this file.

## Classes
class | QRect
class | QRectF
## Functions
| Q_DECLARE_TYPEINFO (QRect, Q_MOVABLE_TYPE)
Q_CORE_EXPORT_INLINE bool | operator== (const QRect &, const QRect &)
Q_CORE_EXPORT_INLINE bool | operator!= (const QRect &, const QRect &)
Q_CORE_EXPORT QDataStream & | operator<< (QDataStream &, const QRect &)
Q_CORE_EXPORT QDataStream & | operator>> (QDataStream &, QRect &)
Q_CORE_EXPORT QDebug | operator<< (QDebug, const QRect &)
| Q_DECLARE_TYPEINFO (QRectF, Q_MOVABLE_TYPE)
Q_CORE_EXPORT_INLINE bool | operator== (const QRectF &, const QRectF &)
Q_CORE_EXPORT_INLINE bool | operator!= (const QRectF &, const QRectF &)
Q_CORE_EXPORT QDataStream & | operator<< (QDataStream &, const QRectF &)
Q_CORE_EXPORT QDataStream & | operator>> (QDataStream &, QRectF &)
Q_CORE_EXPORT QDebug | operator<< (QDebug, const QRectF &)

## Function Documentation

Q_DECLARE_TYPEINFO | ( | QRect | ,
|  | Q_MOVABLE_TYPE |
| ) |  |

Search for all occurrences

bool operator== | ( | const QRect & | r1,
|  | const QRect & | r2
| ) |  | `[inline]`

Definition at line 496 of file qrect.h.

    {
        return r1.x1==r2.x1 && r1.x2==r2.x2 && r1.y1==r2.y1 && r1.y2==r2.y2;
    }

bool operator!= | ( | const QRect & | r1,
|  | const QRect & | r2
| ) |  | `[inline]`

Definition at line 501 of file qrect.h.

    {
        return r1.x1!=r2.x1 || r1.x2!=r2.x2 || r1.y1!=r2.y1 || r1.y2!=r2.y2;
    }

Q_CORE_EXPORT QDataStream& operator<< | ( | QDataStream & | ,
|  | const QRect & |
| ) |  |

Q_CORE_EXPORT QDataStream& operator>> | ( | QDataStream & | ,
|  | QRect & |
| ) |  |

Q_CORE_EXPORT QDebug operator<< | ( | QDebug | ,
|  | const QRect & |
| ) |  |

Q_DECLARE_TYPEINFO | ( | QRectF | ,
|  | Q_MOVABLE_TYPE |
| ) |  |

Search for all occurrences

bool operator== | ( | const QRectF & | r1,
|  | const QRectF & | r2
| ) |  | `[inline]`

Definition at line 833 of file qrect.h.

    {
        return qFuzzyCompare(r1.xp, r2.xp) && qFuzzyCompare(r1.yp, r2.yp)
               && qFuzzyCompare(r1.w, r2.w) && qFuzzyCompare(r1.h, r2.h);
    }

bool operator!= | ( | const QRectF & | r1,
|  | const QRectF & | r2
| ) |  | `[inline]`

Definition at line 839 of file qrect.h.

    {
        return !qFuzzyCompare(r1.xp, r2.xp) || !qFuzzyCompare(r1.yp, r2.yp)
               || !qFuzzyCompare(r1.w, r2.w) || !qFuzzyCompare(r1.h, r2.h);
    }

Q_CORE_EXPORT QDataStream& operator<< | ( | QDataStream & | ,
|  | const QRectF & |
| ) |  |

Q_CORE_EXPORT QDataStream& operator>> | ( | QDataStream & | ,
|  | QRectF & |
| ) |  |

Q_CORE_EXPORT QDebug operator<< | ( | QDebug | ,
|  | const QRectF & |
| ) |  |